/**
 * EditProduct.cpp is part of bmsapp.
 *
 * Tab 2, equipment settings.
 *
 * bmsapp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * bmsapp is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


void EditProduct::showEquipment()
{
    ui->eq_nameEdit->setText(product->eq_name);
    ui->eq_notesEdit->setPlainText(product->eq_notes);

    /* Mashing */
    ui->tun_volumeEdit->setValue(product->eq_tun_volume);
    ui->tun_materialEdit->setText(tun_materials[product->eq_tun_material]);
    ui->mash_volumeEdit->setValue(product->eq_mash_volume);
    ui->mash_maxEdit->setValue(product->eq_mash_max);

    /* Lautering */
    ui->lauter_volumeEdit->setValue(product->eq_lauter_volume);
    ui->lauter_deadspaceEdit->setValue(product->eq_lauter_deadspace);

    /* Boiling */
    ui->kettle_volumeEdit->setValue(product->eq_kettle_volume);
    ui->eqboil_sizeEdit->setValue(product->eq_boil_size);
    ui->evap_rateEdit->setValue(product->eq_evap_rate);
    ui->eqboil_timeEdit->setValue(product->eq_boil_time);
    ui->topup_kettleEdit->setValue(product->eq_top_up_kettle);
    ui->hop_utilizationEdit->setValue(product->eq_hop_utilization);
    ui->eqbatch_sizeEdit->setValue(product->eq_batch_size);
    ui->efficiencyEdit->setValue(product->eq_efficiency);

    /* Chilling */
    ui->trub_chillerlossEdit->setValue(product->eq_trub_chiller_loss);
    ui->topup_waterEdit->setValue(product->eq_top_up_water);
}


